# SourcePath: gst-plugins-base/20210303dev 
Summary: GStreamer streaming media framework plug-ins
Name: sony-target-dev-gstreamer-plugins-base
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gstreamer-plugins-base
Version: 1.12.4
Release: 14010002
License: LGPLv2
Patch1: gst-plugins-base-1.12.4-CVE-2019-9928.patch
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: https://gstreamer.freedesktop.org/src/gst-plugins-base/
Source0: gst-plugins-base-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

%package -n %{pkgname}
Summary: GStreamer streaming media framework runtime
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

%prep
%setup -n gst-plugins-base-%{version}
%patch1 -p1
export DOCS_ARE_INCOMPLETE_PLEASE_FIXME=0

%build
%sony_target_dev_setup
%sony_target_dev_configure \
	--disable-x \
	--disable-vorbis \
	--disable-ogg CLAGS="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wno-error" \
	CXXFLAGS="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wno-error" \
	CPPFLAGS="-Wdate-time -D_FORTIFY_SOURCE=2" \
	LDFLAGS="-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,defs -Wl,-O1 -Wl,--as-needed" \
	--disable-maintainer-mode --disable-dependency-tracking \
	--disable-silent-rules --disable-examples --enable-debug
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gstreamer-*/libgst*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/gstreamer-*/libgst*.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgst*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgst*.so*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/gstreamer-*/gst/*/*.h
%{sony_target_dir}%{sony_target_dev_data_dir}/gst-plugins-base/1.0/license-translations.dict
#%{sony_target_dir}%{sony_target_dev_lib_dir}/gstreamer-1.0/include/gst/gl/*.h
#%{sony_target_dir}%{sony_target_dev_include_dir}/gstreamer-1.0/gst/gl/*/*.h


%changelog
* Wed Mar 03 2021 Sony Corporation
- Added Patch for CVE-2019-9928

* Mon Feb 22 2021 Sony Corporation
- Version update to 1.12.4

* Thu Dec 12 2019 Sony Corporation
- Added Patch for CVE-2019-9928

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Jan 18 2017 Sony Corporation
- Version update to 1.4.5

* Tue Mar 1 2016 Sony Corporation
- Version update to 1.2.3

* Mon Apr 1 2013 Sony Corporation
- Version update to 1.0.6

* Thu Apr 8 2010 Sony Corporation
- Initial build
